<?php

use Menus\Menu as Menu;
use Routes\RouteCollection as RouteCollection;
// use App\Core\Template\Output as Output;

RouteCollection::get('*', function(){

    // include_once 'Output.class.php';

    GLOBAL $SIDEBAR, $DROPDOWN;

    $SIDEBAR = new Menu( array('id' => 'side-menu', 'class' => "nav") );

    //HACK
    //$DROPDOWN = new Menu( array("class" => 'dropdown-menu') );
    $DROPDOWN = [];

}, -12)->doIgnore();


RouteCollection::get('/template/[r:location]', '\App\Core\Template\Template@getTemplate');